#include "loadbspf.hpp"
#include "struct.hpp"
#include "wp.hpp"
#include "sil.hpp"

int main(void)
{
  map_t *m=loadmap("../bspv4/zone_002.map");
  wp_t wpl;

  wpl.load("light.wp");
  sil_t sil;

  for(int i=0;i<1000;i++) {
    float p[3];
    wpl.forward(3.,p);

    sil.computesil(m,p,0);
  }
  

  delete m;

  return 0;
}
