#ifndef _utils_hpp_
#define _utils_hpp_
#include "struct.hpp"
#include "vect.hpp"

#define PRINTLOG(b,a...) {fprintf(stdout,##a);fprintf(stdout,"\n");}

#define EPSILON 0.00001

extern int checkvertex(scene_t *s,const vec3_t v,vec4_t plane);
extern int checkvertex(scene_t *s,const vec3_t v,int plane);
extern void intersectplane(scene_t *s,int plane,const vec3_t a,const vec3_t b,vec3_t c);
extern void intersectplane(scene_t *s,float plane[4],const vec3_t a,const vec3_t b,vec3_t c);

#endif















