#ifndef _brush_hpp_
#define _brush_hpp_

#include "face.hpp"

#define TYPE_EMPTY 0
#define TYPE_WALK 1
#define TYPE_SOLID 2

#define TYPE_WATER 10
#define TYPE_FOG 11

class brush_t {
public:
  brush_t();
  brush_t(const brush_t &);
  ~brush_t();
  void cutByPlane(plane_t *p);
  void print();
  int checkIntersect(plane_t *p);
  
  char type; 
  //char fog;
  
  vector<face_t> tab;

private:
  static brush_t *origBrush;
  static void initBrush();
  static int init;
};

#define FACE_TYPE_NOTHING 0
#define FACE_TYPE_POLYGON 1
#define FACE_TYPE_FOG 2

#endif
