#include <iostream>
using namespace std;

#include "face.hpp"
#include "map.hpp"
#include "bsp.hpp"
#include "buildbspfaces.hpp"
#include "portal.hpp"

int main(int argc,char **argv)
{
  if(argc<3) Error(" ");
  map_t *m=readMap(NULL,argv[1]);
  brushesToFaces(m);
  writeTruc(m->tabfa,argv[2],1);

  vec_t x,X,y,Y,z,Z;

  for(unsigned int i=0;i<m->tabfa.size();i++) 
    for(unsigned int j=0;j<m->tabfa[i]->tab.size();j++) {
      if(i+j==0 || x>m->tabfa[i]->tab[j].v[0]) x=m->tabfa[i]->tab[j].v[0];
      if(i+j==0 || X<m->tabfa[i]->tab[j].v[0]) X=m->tabfa[i]->tab[j].v[0];

      if(i+j==0 || y>m->tabfa[i]->tab[j].v[1]) y=m->tabfa[i]->tab[j].v[1];
      if(i+j==0 || Y<m->tabfa[i]->tab[j].v[1]) Y=m->tabfa[i]->tab[j].v[1];

      if(i+j==0 || z>m->tabfa[i]->tab[j].v[2]) z=m->tabfa[i]->tab[j].v[2];
      if(i+j==0 || Z<m->tabfa[i]->tab[j].v[2]) Z=m->tabfa[i]->tab[j].v[2];
    }

  cout << x << " " << X << " " << y << " " << Y << " " << z << " " << Z << endl; 

  return 0;
}
