#ifndef _portal_hpp_
#define _portal_hpp_

#include "face.hpp"
#include "bsp.hpp"

#define PRT_MARK 1

#define PRT_ZONE 256
#define PRT_BLOCK 128
#define PRT_FACE 64

#define PRT_INTERZONE 1024

class portal_t {
public:
  portal_t();
  //portal_t(plane_t *);
  //portal_t(const portal_t &);
  ~portal_t();
  void remove();

  const portal_t & operator = (const portal_t &);

  void load(ifstream &f);
  void save(ofstream &ou) const;

  bsp_t *bsp[2];
  face_t face;
  //  char mark;

  int bspid; //id si portal interzone

  vector<face_t*> listfaces;
  
  int flag;

  int numsave; // tmp for saving 
};

extern void cutPortalByPlane(portal_t *a,portal_t **b,portal_t **c,plane_t *p);

extern void bspPrt(bsp_t *b);
extern void bspMaskPrt(bsp_t *b,int mo=0,int ma=0);
extern void bspUnMarkPrt(bsp_t *b);
extern int floodZone(hstr_t *h);
//extern void floodZoneExt(hstr_t *h);
extern void flood(bsp_t *b, int m, int prt);
extern void bspId(bsp_t *b,int m);


#endif


