#if 0
void visflood_r(bsp_t *b)
{
  if(b->leaf) { 
    if(b->id==1)
      visflood_leaf(b);
  }
  else {
    visflood_r(b->child[0]);
    visflood_r(b->child[1]);
  }
}
#endif


#if 0
static face_t *facetest(vec_t z,vec_t y=0.)
{
  face_t *f=new face_t();
  vec4_t n={0.,0.,1.,-z};
  //n[3]=-z;
  vec4Copy(n,f->p.n);
  f->tab.resize(4);
  {vec3_t v={1.,1.+y,z};vec3Copy(v,f->tab[0].v);}
  {vec3_t v={-1.,1.+y,z};vec3Copy(v,f->tab[1].v);}
  {vec3_t v={-1.,-1.+y,z};vec3Copy(v,f->tab[2].v);}
  {vec3_t v={1.,-1.+y,z};vec3Copy(v,f->tab[3].v);}

  f->test();

  return f;
}

int main(void)
{
  unsigned int i,j,k;

  vec3_t a,b,tab[4][2],res[2][2];

  for(i=0;i<100;i++) {
    for(j=0;j<8;j++)
      for(k=0;k<3;k++)
	tab[j%4][j/4][k]=rand()%100;
    fourlines(tab,res);
  }

  face_t *f=facetest(1.);
  
  vec3_t r[2];
  r[0][0]=0.;
  r[0][1]=0.;
  r[0][2]=-1.;
  r[1][0]=0.;
  r[1][1]=0.;
  r[1][2]=1.;

  if(verifstabface(f,r)) printf("true\n");
  else printf("false\n");

  vector<face_t*> v;
  v.push_back(facetest(0.));
  v.push_back(facetest(1.,1.));
  v.push_back(facetest(2.,2.1));
  v.push_back(facetest(3.,1.));
  v.push_back(facetest(4.));
  v.push_back(facetest(5.));
  v.push_back(facetest(6.));
  v.push_back(facetest(7.));

  if(stablines(v)) printf("true\n");
  else printf("false\n");

  return 0;
}

// FIX a jetter
static void writestab(stabw_t *s)
{
  static int n=0;
  char file[100];
  sprintf(file,"stab%d.truc",n);
  FILE *in=fopen(file,"wt");
  for(unsigned int i=0;i<s->f.size();i++) {
    fprintf(in,"%d 0.5 ",s->f[i]->tab.size());
    for(unsigned int j=0;j<s->f[i]->tab.size();j++)
      fprintf(in,"%f %f %f ",s->f[i]->tab[j].v[0],s->f[i]->tab[j].v[1],
	     s->f[i]->tab[j].v[2]);
    fprintf(in,"\n");
  }
  fprintf(in,"--\n");
  fclose(in);
  n++;
}


#endif



