#ifndef _PVSSTAB_HPP_
#define _PVSSTAB_HPP_

#include "vect.hpp"
#include "face.hpp"
#include "bsp.hpp"
#include "portal.hpp"

struct stabline_t{
  vec3_t v[2];
  int tf[4];
  int ts[4];
};

class stabw_t {
public:
  void addface(face_t*);
  bool vis() const;
  ~stabw_t();
  stabw_t(const stabw_t &o);
  stabw_t():in(NULL),out(NULL){}
  
  const stabw_t &operator=(const stabw_t &) {Error("stabw_t::operator=");}

  vector<face_t*> f;
  vector<stabline_t> stablines;
  bsp_t *in,*out;
};

#endif


