#include "portal.hpp"
#include "zone.hpp"
#include <iostream>
using namespace std;

static int nbrnp;

static void corzone_r(vector<face_t*> plim, bsp_t *b)
{
  if(b->leaf) {
    if(b->id!=-1) {
      //printf("corzone_r leaf %d\n",b->num);
      //b->brush->print();
      for(unsigned int i=0;i<plim.size();i++) {
	face_t *f=new face_t(*plim[i]);
	//f->print();
	//cout << " " << f->aera() << "---" << endl;
	for(unsigned int j=0;j<b->brush->tab.size();j++) {
	  //b->brush->tab[j].p.print();
	  if(f->checkIntersectFace(&b->brush->tab[j].p)>-1)
	    f->cutByPlane(&b->brush->tab[j].p);
	}
	if(f->tab.size()) {
	  //ajoute portal special
	  //printf("ajout portal vers %d\n",f->i0);
	  nbrnp++;
	  portal_t *p=new portal_t;
	  p->face=*f;
	  p->bsp[0]=b;
	  p->bsp[1]=NULL;
	  p->bspid=f->i0;
	  p->flag=PRT_ZONE | PRT_INTERZONE; // ?
	  b->portals.push_back(p);
	}
	delete f;
      }
    }
  }
  else {
    corzone_r(plim,b->child[0]);
    corzone_r(plim,b->child[1]);
  }
}

void corzone(vector<face_t*> plim, hstr_t *h)
{
  nbrnp=0;
  corzone_r(plim,h->bsp);
  printf("%d portals interzone\n",nbrnp);
}
