#include <stdlib.h>
#include "timer.hpp"

timers_t globaltimer;
int gametime=0;

int timers_t::maxid=1;

timers_t::timers_t()
{
  tl.next=NULL;
}

timers_t::~timers_t()
{
  timer_elm_t *p,*p2=tl.next;
  while(p2!=NULL) {
    p=p2->next;
    delete p2;
    p2=p;
  }
}

int timers_t::addtimer(int time,char *fct)
{
  timer_elm_t *p=&tl,*t;
  while(p->next && p->next->time < time) p=p->next;
  t=new timer_elm_t;
  t->id=maxid;
  maxid++;
  t->time=time;
  t->fct=fct;
  t->next=p->next;
  p->next=t;
  return t->id;
}

timer_elm_t *timers_t::gettimer(int time)
{
  if(tl.next==NULL || tl.next->time > time) return NULL;
  timer_elm_t *p=tl.next;
  tl.next=tl.next->next;
  return p;
}
