#ifndef _STRUCT_HPP_
#define _STRUCT_HPP_

#include "../common/bspfileformat.hpp"

#define FLAGSIL 1
//FIX
#define FLAGSILM 2
#define VERTEXMARK 65536

//FIX
//typedef bspf_vertex_t vertex_t;
struct vertex_t : public bspf_vertex_t {
  int face;
  int flag;
  vertex_t(const bspf_vertex_t&o):bspf_vertex_t(o){}
};
//typedef bspf_face_t face_t;
struct face_t : public bspf_face_t {
  int flag;
  face_t(const bspf_face_t&o):bspf_face_t(o){}
};
//typedef bspf_plane_t plane_t;
struct plane_t : public bspf_plane_t {
  int flag;
  plane_t(const bspf_plane_t&o):bspf_plane_t(o){}
};
typedef bspf_leaf_t bspleaf_t;
typedef bspf_int_t bspint_t;

struct map_t {
  ~map_t() {
    if(ve) delete[] ve; if(fa) delete[] fa; if (pl) delete[] pl; 
    if(bl) delete[] bl; if(bi) delete[] bi;
  }
  vertex_t *ve;
  face_t *fa;
  plane_t *pl;
  bspleaf_t *bl;
  bspint_t *bi;

  //...

  // tailles
  int nbl;
  int nfa;
  int npl;
  int nve;
  //nombre de feuilles id=1 ?
};

typedef map_t scene_t;

//zones...

#endif
