#ifndef _bsp_hpp_
#define _bsp_hpp_

/* Ver 4 */

#include "vect.hpp"
#include "face.hpp"
#include "brush.hpp"
#include <vector>
using namespace std;

class portal_t;

class bsp_t {
public:
  int id; // zone     0: pas de zone
  int num; // identifiant unique
  int mark;
  char type;
  char leaf; // 1 if it's a leaf
  
  plane_t plane; 
  brush_t *brush;
  bsp_t *child[2]; 
  
  vector<portal_t*> portals;

  // faces
  //struct ptrface_s *ptrface;
  //vector<face_t*> listfaces;

  //char* visinfo;
};

class hstr_t {
public:
  bsp_t *ext;
  bsp_t *bsp;
  int nbrleaf;
  int nbrleafin;
  int nbrnodeint;
};

extern bsp_t *searchbsp(bsp_t *b,vec3_t vv);
extern void destroyBsp(hstr_t *h);

extern void saveBsp(hstr_t *h, char *f);
extern hstr_t *loadBsp(char *f);

#endif
