#include "rat.hpp"

std::ostream & operator<<(std::ostream &o, const rat_t &z)
{
  int__t t=z.p*10000;
  t/= z.q;
  if(t<0) {
    t=-t; 
    o<< '-';
  }
  o << t/10000;
  t-=(t/10000)*10000;
  while((t>0) && ((t/10)*10==t)) {
    t/=10;
  }
  if(t>0) o<<'.'<<t;
  
  return o;
}


#ifdef VECRAT  

rat_t strToVec(char*c)
{
  rat_t r;
  int i;
  char b[1000],*p;
  char *sp;
  strcpy(b,c);
  p=strtok_r(b,". ",&sp);
  r.q=1;
  r.p=strToInt(p);
  p=strtok_r(NULL,". ",&sp);
  if(p==NULL) {
    return r;
  }
  for(i=0;p[i];i++) {
    r.p*=10;
    r.q*=10;
  }
  r.p+=strToInt(p);
  return r;
}

#endif  
