#ifndef _hashtable_hpp_
#define _hashtable_hpp_

typedef struct hashelmt_s {
  struct hashelmt_s *next;
  char* name;
  void* ptr;
} hashelmt_t;

class hashtable_t {
public:
  hashtable_t(void (*hfree)(void *),int size=71, int (*hfct)(char*,int)=0);
  ~hashtable_t();
  void* Search(char*); // void if not found
  int Add(char*,void*); // 1 if ok
  void PrintList(void);
  
  void FreeAll(void);
  
  // delete
  // nbr elmts

protected:
  int size;
  hashelmt_t **table;
  int (*hfct)(char*,int);
  void (*hfree)(void *);
};

#endif
