#include "readscript.hpp"
#include "log.hpp"
#include "function.hpp"
#include "loglev.hpp"

#include <string>
#include <stdio.h>

extern int yyparse(void);
char *bufferfunction;
int posbuffct;

int readscriptfile(char* filename)
{
  char buff[10000];
  FILE *in;
  
  in=fopen(filename,"rt");
  if(in) {
    fread(buff,9999,1,in);
    bufferfunction=buff;
    posbuffct=0;
    yyparse();
  }
  else {
    PRINTD("cannot open script file %s",filename);
    return 0;
  }
  
  fclose(in);
    
  return 1;
}


#if 0
static int alphanum(char c)
{
  return ((c>='a' && c<='z') || (c>='A' && c<='Z') || (c>='0'&& c<='9') || c=='_' );
}

static int getname(char *s,char *name)
{
  int i=0,j;
  int e=0;
  
  do {
    for(;s[i] && !alphanum(s[i]);i++);
    if(!s[i]) return 0;
    
    for(j=i;j<1000 && s[j] && alphanum(s[j]);j++)
      name[j-i]=s[j];
    
    if(j==1000 || !s[j]) return 0;
    
    name[j-i]=0;
    if(strcmp(name,"int")!=0 && strcmp(name,"double")!=0) {
      return 1;
    }
    i=j;
    
    e++;
  } while(e<=1);
  
  return 0;
}

int readscriptfile(char* filename)
{
  FILE *in;
  char buff[1024];
  char funct[8192];
  char name[1024];
  int head=1;

  PRINTDT(log_readscript>=1,"read scriptfile %s",filename);
  
  if((in=fopen(filename,"r"))==NULL) {
    PRINTD("cannot open script file %s",filename);
    return 0;
  }

  strcpy(funct,"");

  while(fgets(buff,1024,in)!=NULL) {
    if(buff[0]=='%') {
      if(head==1) head=0;
      else 
	{
	  if(getname(funct,name)) {
	    PRINTDT(log_readscript>=2,"function %s readed",name);

	    functions.Add(name,funct);
	  }
	  else PRINTD("readscriptfile: cannot find function name in %s",filename);
	  
	  strcpy(funct,"");
	}
    }
    else {
      if(head==1) {
	// include...
      } else { 
	strcat(funct,buff);
      }
    }
  }

  return 1;
}
#endif
