#ifndef _scr_val_hpp_
#define _scr_val_hpp_

//#include "function.hpp"
#include "scr_val.hpp"
#include "pvar.hpp"

struct scr_expr_t;

class scr_val_t {
public:
  explicit scr_val_t(); // NOTYPE
  explicit scr_val_t(int); // INT
  explicit scr_val_t(scr_expr_t *); //construct var and contants
  scr_val_t(const scr_val_t &);
  ~scr_val_t();
  const scr_val_t &operator =(const scr_val_t &);
  
  operator bool(); /* for tests, boucles */
  
  void transtype(int type);
  
  static int arity(int op);
  static scr_val_t oper(pvar_t *lv,int op,scr_val_t v0);
  static scr_val_t oper(pvar_t *lv,int op,scr_val_t v0,scr_val_t v1);
  static void printoper(int op);

  void print();
  
  //protected:
  char *name; // if "lvalue"
  int type; 
  union {
    double d;
    int i;
    char *s;
  } v;
};

#endif
